/**
 * 
 */
package gov.va.med.esr.ui.financials.action;

import java.math.BigDecimal;

import gov.va.med.fw.ui.struts.AbstractForm;
import gov.va.med.fw.util.StringUtils;

/**
 * @author Madhu Katikala
 */
public class AdjudicationForm extends AbstractForm {
	private static final long serialVersionUID = -5184934495172121094L;
	
	private String gmtThreshold = null;
	private String meansTestThreshold = null;
	private String meansTestStatus = null;
	private String incomeYear = null;
	
	public AdjudicationForm () {
		super();
	}
	/**
	 * @return Returns the gmtThreshold.
	 */
	public String getGmtThreshold() {
		return this.gmtThreshold;
	}
	public BigDecimal getGmtThresholdAmount() {
		if (StringUtils.isEmpty(this.gmtThreshold))
			return null;
		else 
		return new BigDecimal(this.gmtThreshold);		
	}	
	/**
	 * @param gmtThreshold The gmtThreshold to set.
	 */
	public void setGmtThreshold(String gmtThreshold) {
		this.gmtThreshold = gmtThreshold;
	}
	public void setGmtThresholdAmount(BigDecimal gmtThreshold) {
		this.gmtThreshold = gmtThreshold == null ? null : String.valueOf(gmtThreshold);
	}	
	/**
	 * @return Returns the meansTestThreshold.
	 */
	public String getMeansTestThreshold() {
		return this.meansTestThreshold;
	}
	public BigDecimal getMeansTestThresholdAmount() {
		if (StringUtils.isEmpty(this.meansTestThreshold))
			return null;
		else 
		return new BigDecimal(this.meansTestThreshold);
	}
	/**
	 * @param meansTestThreshold The meansTestThreshold to set.
	 */
	public void setMeansTestThreshold(String meansTestThreshold) {
		this.meansTestThreshold = meansTestThreshold;
	}
	public void setMeansTestThresholdAmount(BigDecimal meansTestThreshold) {
		this.meansTestThreshold = meansTestThreshold == null ? null : String.valueOf(meansTestThreshold);
	}	
	/**
	 * @return Returns the meansTestStatus.
	 */
	public String getMeansTestStatus() {
		return this.meansTestStatus;
	}
	/**
	 * @param meansTestStatus The meansTestStatus to set.
	 */
	public void setMeansTestStatus(String meansTestStatus) {
		this.meansTestStatus = meansTestStatus;
	}
	/**
	 * @return Returns the incomeYear.
	 */
	public String getIncomeYear() {
		return this.incomeYear;
	}
	/**
	 * @param incomeYear The incomeYear to set.
	 */
	public void setIncomeYear(String incomeYear) {
		this.incomeYear = incomeYear;
	}	
	
}
